Incorrect supported Ruby version in doc/INSTALL
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: 4.0.1   

Resolution: Fixed Affected version: 4.0.0

Description

Redmine 4.0 (Rails 5.2) requires Ruby 2.2.2 or later, but doc/INSTALL states Ruby 2.2.1 or later.

Index: doc/INSTALL

===================================================================

--- doc/INSTALL    (revision 17702)

+++ doc/INSTALL    (working copy)

@@ -7,7 +7,7 @@

 == Requirements

-* Ruby >= 2.2.1

+* Ruby >= 2.2.2

 * RubyGems

 * Bundler >= 1.5.0

@@ -29,7 +29,7 @@

 2. Create an empty utf8 encoded database: "redmine" for example

 3. Configure the database parameters in config/database.yml

-   for the "production" environment (default database is MySQL and ruby1.9)

+   for the "production" environment (default database is MySQL)

 4. Install the required gems by running:

      bundle install --without development test

Related issues:

Related to Redmine - Feature #25538: Drop support for Ruby 2.2.1 and ealier, ... Closed

Associated revisions

Revision 17815 - 2019-01-19 11:49 - Jean-Philippe Lang

Incorrect supported Ruby version in doc/INSTALL (#30161).

Patch by Go MAEDA.

Revision 17816 - 2019-01-19 11:50 - Jean-Philippe Lang

Merged r17815 to 4.0-stable (#30161).

History

#1 - 2018-12-09 13:53 - Go MAEDA

- Affected version set to 4.0.0

#2 - 2018-12-09 13:58 - Go MAEDA

- Related to Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required added

#3 - 2018-12-09 16:50 - Jean-Philippe Lang

ruby 2.2 is no longer maintained: https://www.ruby-lang.org/en/news/2018/06/20/support-of-ruby-2-2-has-ended/

Shouldn't we require ruby 2.3?
#4 - 2018-12-09 16:58 - Go MAEDA

Jean-Philippe Lang wrote:

ruby 2.2 is no longer maintained: https://www.ruby-lang.org/en/news/2018/06/20/support-of-ruby-2-2-has-ended/

Shouldn't we require ruby 2.3?

 I am in favor of dropping support for Ruby 2.2. It is not very important to support 4 years old Ruby, I think. And it should be a good news for plugin

developers.

#5 - 2018-12-09 17:48 - Go MAEDA

- Assignee set to Jean-Philippe Lang

#6 - 2019-01-19 11:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Patch committed. We can't drop support for a ruby version in a minor version, so we keep 2.2 for now.
